import { request } from '@/utils'
export const GetViewSize = (data: any) =>
  request({
    url: `/draw/position?X=${data.X}&Y=${data.Y}&Width=${data.Width}&Height=${data.Height}&ImageUrl=${data.ImageUrl}&ImageWidth=${data.ImageWidth}&ImageHeight=${data.ImageHeight}`,
    method: 'get'
  })

export const GetOcrDetail = (mid: string) =>
  request({
    url: `/api/ocr/${mid}`,
    method: 'get'
  })

export const PostSave = (data: any) =>
  request({
    url: `/api/ocr/save`,
    method: 'post',
    data,
  })

export const GetLock = (mid: string) =>
  request({
    url: `/api/ocr/lock?mid=${mid}`,
    method: 'get',
  })